/**
 * This sketch was written in order to developp and test the multi client tcp server which will be used in my project
 * Anatole SCHRAMM-HENRY 08/05/2019
 */
 
#include "TCPWebServer.h"

WiFiEventHandler gotIpEventHandler, disconnectedEventHandler;
TCPWebServer tws(80,2);

void setup() {
  // put your setup code here, to run once:
  Serial.begin(115200);
  
  gotIpEventHandler = WiFi.onStationModeGotIP(&(gotIp));
  disconnectedEventHandler = WiFi.onStationModeDisconnected(&(lostCon));
  
  WiFi.persistent(false);
  WiFi.begin("freebox_Henry","eustache1930");
}

void loop() {
  // put your main code here, to run repeatedly:
  tws.runServer();
}


void gotIp(const WiFiEventStationModeGotIP& event)
{
  Serial.print("Got IP : ");Serial.println(WiFi.localIP());
}

void lostCon(const WiFiEventStationModeDisconnected& event)
{
  Serial.println("Lost connection");
}
