#ifndef TCPWEBSERVER_H
#define TCPWEBSERVER_H

#include "TCPServer.h"

class TCPWebServer : public TCPServer
{
	public:
		TCPWebServer(unsigned int port = 80, uint8_t maxClient = MAX_CLIENT);
	protected:
	private:
		virtual void processClientData(TCPServerHelper::TCPServerClient *client);
		TCPServerHelper::HttpRequestMethod getHttpVerbEnumValue(const char *parseBuffer);
		TCPServerHelper::HttpVersion getHttpVersionEnumValue(const char *parseBuffer);
};

#endif //TCPWEBSERVER_H